/* General overlay */
.serene-search-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.4); /* semi-transparent background */
    display: flex;
    align-items: flex-start;
    gap: 24px;
    justify-content: flex-start; /* align top */
    z-index: 9999;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}

/* Active state */
.serene-search-overlay.active {
    opacity: 1;
    pointer-events: auto;
}

/* Search box container */
.serene-search-box {
    width: 100%;
    background: #EEF2EF; /* container background */
    padding: 18px 16px; /* top-bottom, left-right */
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
    margin-top: 0; /* can adjust if you want some space from top */
}

/* Search container field */
.serene-search-form {
    display: flex;
    justify-content: space-between;
    gap: 12px;
    order: 2;
    flex: 1; /* allows input to stretch */
    padding: 12px 16;
    border-radius: 999px; /* fully rounded */
    /* border: 1px solid #0e0e0e; */
    background: #f7f7f7;
    width: 100%;
}

/* Submit button inside input (SVG) */
.serene-search-submit {
    border: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0px 14px !important;
    cursor: pointer;
}

/* Close button */
.serene-search-close {
    font-size: 28px;
    line-height: 1;
    border: none;
    background: transparent;
    cursor: pointer;
    font-weight: bold;
    order: 1;
}

/* Typing field */
.serene-search-input {
        font-size: 16px !important;
        background-color: transparent !important;
        padding: 16px !important;
}

.serene-search-submit svg {
    color: #FFF7E7; /* icon color */
    width: 26px;
    height: 26px;
}

.serene-search-close svg {
    color: #121212; /* icon color */
    width: 26px;
    height: 26px;
    margin-right: 10px;
}